FROM node:16-alpine

LABEL mantainer="Szabo Bogdan <contact@szabobogdan.com>"

ARG APP_NAME

# Copy the app files
RUN mkdir -p /home/node/app/node_modules && chown -R node:node /home/node/app

WORKDIR /home/node/app


COPY package*.json ./

USER node

COPY --chown=node:node . .

RUN cp packages/batch/config/configuration.docker.json packages/batch/config/configuration.json && \
    cp -avr packages/batch/config/db.model packages/batch/config/db && \
    yarn

## Container options

# Service
ENV serviceName GISCollective
ENV serviceUrl http://localhost

ENV hostName localhost
ENV baseUrl http://localhost
ENV apiUrl http://localhost
ENV httpMqUrl http://localhost:5000
ENV pushGatewayUrl ""
ENV mongoUrl ""

# Higher number means less messages
ENV logLevel 4

# Mongo
ENV mongoHost localhost
ENV mongoDBName ogm

# Expose the app port
EXPOSE 8080

# The container entrypoint
CMD [ "yarn", "start:batch" ]
